Create a formula step
post
/crmRestApi/resources/11.13.18.05/subscriptionFormulaPlans/{FormulaPlanPuid}/child/formulaSteps
Request
Path Parameters
-
FormulaPlanPuid(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
BalanceCode: string
Title:
Balance CodeMaximum Length:30The alternate identifier of the balance code. -
BalanceCodeId: integer
(int64)
The unique identifier of the balance code.
-
ChargeDefinitionCode: string
Maximum Length:
30The charge definition code for the adjustment. -
ChargeDefinitionId: integer
(int64)
The unique identifier of the charge definition for the adjustment.
-
ChargeOutcomeFlag: boolean
Title:
Update ChargeMaximum Length:1Indicates the charge outcome of the formula step. -
FormulaExpression: string
Title:
Formula BuilderMaximum Length:4000The expression used to define the formula step. -
FormulaPlanId: integer
(int64)
The unique identifier of the formula plan associated with the formula step.
-
FormulaStepId: integer
(int64)
The unique identifier of the formula step.
-
FormulaStepPuid: string
Maximum Length:
120The public unique identifier of the formula step. -
NegotiableFlag: boolean
Maximum Length:
1Indicates if the formula step is negotiable. -
OutcomeVariable: string
Title:
Step NameMaximum Length:30The name of the outcome variable used in the formula step. -
SequenceNumber: integer
(int64)
Title:
Step SequenceThe sequence number that determines the order in which the step is executed. -
StepName: string
Maximum Length:
200The name of the formula step.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : subscriptionFormulaPlans-formulaSteps-item-response
Type:
Show Source
object-
BalanceCode: string
Title:
Balance CodeMaximum Length:30The alternate identifier of the balance code. -
BalanceCodeId: integer
(int64)
The unique identifier of the balance code.
-
ChargeDefinitionCode: string
Maximum Length:
30The charge definition code for the adjustment. -
ChargeDefinitionId: integer
(int64)
The unique identifier of the charge definition for the adjustment.
-
ChargeOutcomeFlag: boolean
Title:
Update ChargeMaximum Length:1Indicates the charge outcome of the formula step. -
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who created the row. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the record was created. -
FormulaExpression: string
Title:
Formula BuilderMaximum Length:4000The expression used to define the formula step. -
FormulaPlanId: integer
(int64)
The unique identifier of the formula plan associated with the formula step.
-
FormulaPlanPuid: string
Read Only:
trueMaximum Length:120The unique identifier of the formula plan associated with this formula step. -
FormulaStepId: integer
(int64)
The unique identifier of the formula step.
-
FormulaStepPuid: string
Maximum Length:
120The public unique identifier of the formula step. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Indicates the user who last updated the row. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login identifier used for the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NegotiableFlag: boolean
Maximum Length:
1Indicates if the formula step is negotiable. -
OutcomeVariable: string
Title:
Step NameMaximum Length:30The name of the outcome variable used in the formula step. -
SequenceNumber: integer
(int64)
Title:
Step SequenceThe sequence number that determines the order in which the step is executed. -
StepName: string
Maximum Length:
200The name of the formula step.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.